## org.codehaus.groovy.util
Class DoubleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.DoubleKeyHashMap

    public class DoubleKeyHashMap

extends ComplexKeyHashMap

Nested Class Summary
`static class` `DoubleKeyHashMap.Entry`

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`ComplexKeyHashMap.EntryIterator`

Field Summary

Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

Constructor Summary
`DoubleKeyHashMap()`

Method Summary
`boolean` `checkEquals(ComplexKeyHashMap.Entry e, Object key1, Object key2)`
`DoubleKeyHashMap.Entry` `createEntry()`
`Object` `get(Object key1, Object key2)`
`DoubleKeyHashMap.Entry` `getOrPut(Object key1, Object key2)`
`ComplexKeyHashMap.Entry` `remove(Object key1, Object key2)`

Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap
`clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleKeyHashMap

    public DoubleKeyHashMap()

Method Detail

### get

    public final Object get(Object key1,
                            Object key2)

### checkEquals

    public boolean checkEquals(ComplexKeyHashMap.Entry e,
                               Object key1,
                               Object key2)

### getOrPut

    public DoubleKeyHashMap.Entry getOrPut(Object key1,
                                           Object key2)

### createEntry

    public DoubleKeyHashMap.Entry createEntry()

### remove

    public final ComplexKeyHashMap.Entry remove(Object key1,
                                                Object key2)

Copyright © 2003-2009 The Codehaus. All rights reserved.